Unicode::Collate::CJK::Pinyin(3)

NAME
Unicode::Collate::CJK::Pinyin - weighting CJK Unified Ideographs for Unicode::Collate

SYNOPSIS
    use Unicode::Collate;
    use Unicode::Collate::CJK::Pinyin;

    my $collator = Unicode::Collate->new(
        overrideCJK => \&Unicode::Collate::CJK::Pinyin::weightPinyin
    );

DESCRIPTION
"Unicode::Collate::CJK::Pinyin" provides "weightPinyin()", that is adequate for "overrideCJK" of "Unicode::Collate" and makes tailoring of CJK Unified Ideographs in the order of CLDR's pinyin ordering.

CAVEAT
The pinyin ordering includes some characters that are not CJK Unified Ideographs and can't utilize "weightPinyin()" for collation. For them, use "entry" instead.

SEE ALSO

CLDR - Unicode Common Locale Data Repository
    <http://cldr.unicode.org/>

Unicode Locale Data Markup Language (LDML) - UTS #35
    <http://www.unicode.org/reports/tr35/>

Unicode::Collate
Unicode::Collate::Locale